package org.colllib.operator;

/**
 * An operator performs an operation on 2 elements of type S.
 *
 * This file is part of CollLib released under the terms of the LGPL V3.0.
 * See the file licenses/lgpl-3.0.txt for details.
 *
 * @author marcel.billen
 */
public interface Operator<S> {
   public S exec(S t0, S t1);
}
