package org.colllib.util.ellibs;

/**
 * This file is part of CollLib released under the terms of the LGPL V3.0.
 * See the file licenses/lgpl-3.0.txt for details.
 * 
 * @author marc.jackisch
 */
public class StringLib {
   private StringLib() {}
   
   public static int length(String s) {
      return s == null ? -1 : s.length();
   }
   
   public static String upcase(String s) {
      return s == null ? null : s.toUpperCase();
   }

   public static String downcase(String s) {
      return s == null ? null : s.toLowerCase();
   }

   public static String substring(String s, int beginIndex, int endIndex) {
      return s == null ? null : s.substring(beginIndex, endIndex);
   }
}

