package org.colllib.generator;

/**
 * A generator generates a list of elements of type D out
 * of an element of type S.
 *
 * This file is part of CollLib released under the terms of the LGPL V3.0.
 * See the file licenses/lgpl-3.0.txt for details.
 *
 * @author marcel.billen
 */
public interface Generator<S, D> {
   public Iterable<D> generate(S s);
}
